Skip to main content
GET
/
v1
/
field
커스텀 필드 목록
curl --request GET \
  --url https://openapi-dev.pluuug.com/v1/field \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "results": [
    {
      "id": 123,
      "name": "<string>",
      "dataType": "S",
      "optionSet": [
        {
          "id": "<string>",
          "title": "<string>"
        }
      ],
      "memberSet": [
        {
          "id": 123,
          "nickname": "<string>",
          "email": "<string>",
          "isActive": true,
          "grade": {
            "id": 123,
            "title": "<string>"
          }
        }
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Query Parameters

category
enum<string>
  • I - 의뢰
  • C - 고객
  • CO - 계약
Available options:
C,
CO,
I
cursor
string

Pagination을 위한 커서

page_size
integer

한번에 조회할 데이터의 개수 (limit)

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"